<back to all web services

EditableItemMessage

The following routes are available for this service:
All Verbs/RestApi/sitefinity/inlineediting/temp/{ItemId}
All Verbs/RestApi/sitefinity/inlineediting
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class EditableItemMessage
{
    open var ItemId:String? = null
    open var ItemType:String? = null
    open var Provider:String? = null
    open var Fields:ArrayList<FieldValueModel>? = null
}

open class FieldValueModel
{
    open var Name:String? = null
    open var Value:Object? = null
    open var ComplexValue:ArrayList<FieldValueModel>? = null
}

Kotlin EditableItemMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/sitefinity/inlineediting/temp/{ItemId} HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"ItemId":"String","ItemType":"String","Provider":"String","Fields":[{"Name":"String","Value":{},"ComplexValue":[{"Name":"String","Value":{},"ComplexValue":[{"Name":"String","Value":{},"ComplexValue":[{}]}]}]}]}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

"00000000-0000-0000-0000-000000000000"